Subject: Re: [PATCH v2] gitweb: use Git.pm, and use its parse_rev method for git_get_head_hash

From: Lea Wiemann <[email-masked]>
Date: Mon, 02 Jun 2008 01:18:29 +0200

Lea Wiemann wrote:
> Re: [PATCH v2] gitweb: use Git.pm, and use its parse_rev method for git_get_head_hash

Since I just renamed the method from parse_rev to get_hash, I would 
technically have to post a v3 of my patch, but I'm afraid that at some 
point I'll have a v4 and v5, with a lot of time wasted. :)

Hence, to minimize effort on all sides, I'd rather suggest that I won't 
post any Gitweb patches (other than as RFCs, or perhaps bug fixes to 
existing code) for now, so that we don't introduce an unnecessary Git.pm 
dependency while the refactoring happens.  Also, since I'm posting 
(too?) many patches around Git.pm and Gitweb already, this will reduce 
the load on reviewers.

-- Lea